package game

import (
	"github.com/hajimehoshi/ebiten/v2"
)

const (
	Welcome = iota
	Select
	Play
	About
	Settings
)

// Wrapper for  different screens  to be  shown, as  Welcome, Options,
// About, Select Level and of course the actual Levels.
// Scenes are responsible for screen clearing! That way a scene is able
// to render its content onto the running level, e.g. the options scene
// etc.
type Scene interface {
	SetNext() int
	Update() error
	Draw(screen *ebiten.Image)
}
